petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMShellSetCreateSubDM

Set the routine used to create a sub DM from the shell DM

### Synopsis

    #include "petscdmshell.h"
    #undef __FUNCT__
    #define __FUNCT__ "DMShellSetCreateSubDM"
    PetscErrorCode DMShellSetCreateSubDM(DM dm, PetscErrorCode (*subdm)(DM,PetscInt,PetscInt[],IS*,DM*))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| subdm | - the routine to create the decomposition

### See Also

DMCreateSubDM(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages